<script type="text/x-template" id="car-edit" class="car-edit">

    <div class="form form_default car-form recommended-edit">
        {% if not edit %}
            <div v-if="method == 1" class="car-form__item car-form__item_auto">
                <div class="field">
                    <label class="label label_default label_s">ссылка на объявление auto.ru</label>
                    <div class="control control_default control_m">
                        <input v-model="url" name="url" class="validateVin" v-validate="'required|url|unique_url'" type="text"/>
                    </div>
                    <div v-show="errors.has('url')" class="msg msg_field msg_fail">${ errors.first("url") }</div>
                </div>
            </div>
        {% endif %}
        <div v-if="method == 2" class="form__item car-form__item car-form__item_manual">
            <div class="form__item form-group form-group_default">
                <div class="form-group__header">
                    <h3>Основная информация</h3>
                </div>
                <div class="form-group__body fieldset fieldset_car-basic">
                    {% if form.sales %}
                        {{form.sales}}
                    {% endif %}
                    {% if form.mark_auto %}
                        <div class="fieldset__item fieldset__item_brand">
                            <label class="label label_default label_s"
                                   for="{{ form.mark_auto.id_for_label }}">марка</label>
                            <div class="control control_default control_m">
                                <select id="mark_auto" v-select2="mark_auto" name="{{ form.mark_auto.name }}">
                                    <optgroup label="Популярные" class="padding10">
                                        {% for instance in form.mark_auto.field.queryset %}
                                            {% if instance.popular %}
                                                <option value="{{ instance.id }}"
                                                        {% if form.mark_auto.value == instance.id %}
                                                        selected {% endif %}>{{ instance }}</option>
                                            {% endif %}
                                        {% endfor %}
                                    </optgroup>
                                    <optgroup label="Все" class="padding10">
                                        {% for instance in form.mark_auto.field.queryset %}
                                            <option class="padding10" value="{{ instance.id }}"
                                                    {% if form.mark_auto.value == instance.id %}
                                                    selected {% endif %}>{{ instance }}</option>
                                        {% endfor %}
                                    </optgroup>
                                </select>
                            </div>
                        </div>
                    {% endif %}
                    {% if form.model_auto %}
                        <div class="fieldset__item fieldset__item_model">
                            <label class="label label_default label_s"
                                   for="{{ form.model_auto.id_for_label }}">модель</label>
                            <div class="control control_default control_m">
                                <select id="model_auto" v-select2="model_auto" name="{{ form.model_auto.name }}">
                                    {% for instance in form.model_auto.field.queryset %}
                                        <option value="{{ instance.id }}" {% if form.model_auto.value == instance.id %}
                                                selected {% endif %}>{{ instance }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    {% endif %}
                    {% if form.generation %}
                        <div class="fieldset__item fieldset__item_generation">
                            <label class="label label_default label_s" for="{{ form.generation.id_for_label }}">поколение</label>
                            <div class="control control_default control_m">
                                <select id="generation" v-select2="generation" name="{{ form.generation.name }}">
                                    {% for instance in form.generation.field.queryset %}
                                        <option value="{{ instance.id }}" {% if form.generation.value == instance.id %}
                                                selected {% endif %}>{{ instance }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    {% endif %}
                </div>
            </div>
            <div class="form__item form-group form-group_default">
                {% if form.year_auto %}
                    <div class="fieldset__item fieldset__item_date">
                        <label class="label label_default label_s" for="{{ form.year_auto.id_for_label }}">
                            дата выпуска</label>
                        <div class="control control_default control_m">
                            <select name="{{ form.year_auto.name }}">
                                {% for value, text in form.year_auto.field.choices %}
                                    <option value="{{ value }}" {% if form.year_auto.value == value %}
                                            selected {% endif %}>{{ text }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                {% endif %}
            </div>

            <div class="form__item form-group form-group_default">
                {% if form.comment %}
                    <br>
                    <div class="fieldset__item fieldset__item_description">
                        <label class="label label_default label_s" for="{{ form.comment.id_for_label }}">
                            описание </label>
                        <div class="control control_default control_m">
                            <textarea
                                    name="{{ form.comment.name }}">{{ form.comment.value|default_if_none:'' }}</textarea>
                        </div>
                    </div>
                {% endif %}
            </div>

            <div class="form__item form-group form-group_default">
                <div class="form-group__header">
                    <h3>Фотографии</h3>
                </div>




                    <div class="form-group__body">
                        <div class="dropzone">
                            <file-upload class="dropzone__area" style="width:100%" name="photo"
                                         :headers="{'X-CSRFToken': '{{ csrf_token }}'}" ref="upload" :drop="true"
                                         extensions="gif,jpg,jpeg,png,webp"
                                         accept="image/png,image/gif,image/jpeg,image/webp" :multiple="true"
                                         v-model="files"
                                         @input-file="inputFile" @input-filter="inputFilter" {% if auto %}
                                         post-action="{% url 'auto:add_photo_auto' auto.id %}" {% endif %}>Нажмите или
                                перетащите файлы
                            </file-upload>
                            <div class="dropzone__gallery" style="width:100%">
                                {% include 'auto/gallery.html' %}
                            </div>

                            <div class="load__gallery">
                                <div class="v-grid" >
                                    {% for photo in object.get_all_photos %}
                                            <div class="gallery__item"
                                                        data-photo_id={{ photo.id }}>
                                                <img
                                                        class="gallery__thumb"
                                                        src="{{ photo.image.url }}"/>
                                                <div class="load__gallery-del">
                                                  <div class="btn btn_s btn_square" @click.prevent='removeAutoLoadFile({{photo.id}})' title="удалить">
                                                    <div class="btn__icon icon icon_24">
                                                      <svg>
                                                        <use xlink:href="#icon_close_24"></use>
                                                      </svg>
                                                    </div>
                                                  </div>
                                                </div>
                                            </div>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form__item form-group form-group_default">
                    <div class="form-group__header">
                        <h3>Информация о продавце</h3>
                    </div>
                    <div class="form-group__body fieldset fieldset_car-owner">
                        <div class="fieldset__item fieldset__item_owner-type">
                            <label class="label label_default label_s">тип продавца</label>
                            <div class="control control_default control_m">
                                <select name="{{ form.author_type.name }}">
                                    {% for value, text in form.author_type.field.choices %}
                                        <option value="{{ value }}" {% if form.author_type.value == value %}
                                                selected {% endif %}>{{ text }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="fieldset__item fieldset__item_owner-name">
                            <label class="label label_default label_s" for="{{ form.author.id_for_label }}">имя</label>
                            <div class="control control_default control_m">
                                <input type="text" name="{{ form.author.name }}"
                                       value="{{ form.author.value|default_if_none:'' }}"/>
                            </div>
                        </div>
                        <div class="fieldset__item fieldset__item_owner-phone">
                            <label class="label label_default label_s">телефон</label>
                            <div class="control control_default control_m">
                                <input type="text" v-validate.initial="{ regex: /^\+?\d+$/ }"
                                       name="{{ form.phone.name }}"
                                       value="{{ form.phone.value|default_if_none:'' }}"/>
                            </div>
                            <div v-show="errors.has('{{ form.phone.name }}')" class="msg msg_field msg_fail">${
                                errors.first("{{ form.phone.name }}") }
                            </div>
                        </div>
                        {% if form.location %}
                            <div class="fieldset__item fieldset__item_referrer">
                                <label class="label label_default label_s" for="{{ form.location.id_for_label }}">местоположение</label>
                                <div class="control control_default control_m">
                                    <input type="text" name="{{ form.location.name }}"
                                           value="{{ form.location.value|default_if_none:'' }}"/>
                                </div>
                            </div>
                        {% endif %}

                    </div>
                </div>

            </div>
            <div v-if="method == 2" class="form__item fieldset fieldset_grid3">
                <div v-if="method == 2 && addReportIsVisible == 1" @click="validateBeforeSubmit();"
                     class="btn btn_m btn_primary">
                    <div class="btn__title">Сохранить авто</div>
                </div>

                {#            {% if html_title == 'Добавление автомобиля' or html_title == 'Редактирование автомобиля' %}#}
                {#            <div @click="saveAndAddReport();" class="btn btn_m btn_primary">#}
                {#              <div class="btn__title">Заполнить отчет</div>#}
                {#            </div>#}
                {#            {% endif %} #}
            </div>
        </div>

</script>